# Scheduled Report Rule Create

POST /platform/scheduled-reports/rules: Creates a scheduled report: type, frequency (daily, weekly, monthly) and the team members (user ids) who receive it.

Source: https://docs.deepinfo.com/reference/platform/scheduled-report-rule-create/

Last updated: 2026-09-27

---
`POST https://api.deepinfo.com/v1/platform/scheduled-reports/rules`

Creates a scheduled report: `type`, `frequency` (`daily`, `weekly`, `monthly`) and the team `members` (user ids) who receive it.

## Authentication

Send your API key in the `apikey` request header.

## Request Body

| Parameter | Type | Required | Description |
|---|---|---|---|
| `name` | string | Required | min length `1`; max length `255` |
| `type` | string | Required | One of `easm_executive_summary`, `easm_weekly_progress`, `easm_asset_detail`, `easm_vulnerability_detail`, `easm_vulnerability_overview`, `easm_issue_overview`, `easm_issue_detail`, `cti_email_breach_summary` |
| `type_context` | object | Optional |  |
| `frequency` | string | Required | One of `daily`, `weekly`, `monthly` |
| `members` | array | Optional |  |

```json
{
  "name": "Weekly executive summary",
  "type": "easm_executive_summary",
  "frequency": "monthly",
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ]
}
```

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `name` | string |  |
| `type` | string | One of `easm_executive_summary`, `easm_weekly_progress`, `easm_asset_detail`, `easm_vulnerability_detail`, `easm_vulnerability_overview`, `easm_issue_overview`, `easm_issue_detail`, `cti_email_breach_summary` |
| `type_context` | object |  |
| `frequency` | string | One of `daily`, `weekly`, `monthly` |
| `members` | array of string |  |
| `last_sent_date` | string | date-time |
| `next_send_date` | string | date-time |
| `created_at` | string | date-time |
| `updated_at` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `type` | string |
| `type_context` | null |
| `frequency` | string |
| `members` | array<string> |
| `last_sent_date` | null |
| `next_send_date` | string |
| `created_at` | string |
| `updated_at` | string |

## Examples

### 201 · Created

```bash
curl -X POST 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Weekly executive summary",
  "type": "easm_executive_summary",
  "frequency": "monthly",
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ]
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "000000000000000e8e040001",
  "name": "Weekly executive summary",
  "type": "easm_executive_summary",
  "type_context": null,
  "frequency": "monthly",
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ],
  "last_sent_date": null,
  "next_send_date": "2025-08-30T08:00:00Z",
  "created_at": "2025-06-01T08:00:00Z",
  "updated_at": "2025-07-01T08:00:00Z"
}
```

### 400 · Validation Error (empty body {})

```bash
curl -X POST 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "name",
      "details": [
        "This field is required."
      ]
    },
    {
      "param": "type",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
